in

Harry Potter: Wizards Unite System Requirements

Harry Potter: Wizards Unite providing a new gaming experience to players with features like augmented reality and interactions. You can read system requirements of the game in this post.

Harrypotterwizardsunite.com

Many of Potterheads were looking forward for Harry Potter: Wizards Unite, and it has been released by Niantic as Beta in New Zealand. Now, we know which system features are required.

Harry Potter: Wizards Unite System Requirements
Harry Potter: Wizards Unite System Requirements

What Are The System Requirements?

Harry Potter: Wizards Unite was released for iOS and Android. If you live in New Zealand, you can download and play it now. If you don’t live there, you can use Harry Potter: Wizards Unite APK file to install and play it. However, you should know that the Wizards Unite game can’t be played on the Real Map like Pokemon GO in the other countries except for New Zealand. You can just enter your name, choose your wand and house, and save Hagrid in the other countries now. Fortunately, Wizards Unite will be released all the countries as Beta as soon as.

Android

  • Android 5.0 or above
  • Minimum 2 GB Ram
  • Minimum 2 GB free storage
  • Internet connection
  • GPS and location services
  • Access to Google Play services
  • Gyroscope and compass sensors
  • Camera for AR
  • Rooted devices are not supported

Apple

  • iOS 10.0 or above
  • iPhone 5S or above or iPad
  • Internet connection
  • GPS and location services
  • Gyroscope and compass sensors
  • Jailbroken devices are not supported

If you have a problem about your device with the Wizards Unite game, you can send a comment to us. We will answer your comments immediately. Promise 🙂 You can also check your phone from our supported devices guide.

Michael Shaner

Written by Michael Shaner

Hi, geeks! I am Michael Shaner and I am potterhead like you. Follow me for Harry Potter: Wizards Unite and Harry Potter: Hogwarts Mystery rumors, news, tutorials, tips and tricks.

39 Comments

Leave a Reply
  1. Dear Michael,
    I couldn’t find Wizards Unite in the Google Store but I could find it through Google and it says that my device isn’t compatible although it meets all the requirements. I checked my phone (Acer Liquid Z530) on your compatible devices page but I couldn’t find it. Could you please help me out?

    • We don’t have any data about Acer Liquid Z530, but your device seems old. I think it might be incompatible with Wizards Unite. I’m sorry. I hope it shall be compatible. That is just my opinion.

  2. Will my LG k20 plus ever be compatible with it? I waited a year and now I can’t play this. I can’t afford any new phones right now so this is depressing.

  3. I have a samsung S3 Neo and my app store says I’m not compatible is there anything i can do outside of buying a new phone?

  4. Xiaomi Pocophone F1 is being classed as not compatible in the play store on release. Just a heads up!

  5. Alcatel One Touch Idol 3 (5.5). Was able to pre-register months ago but now says not compatible.

  6. i have a Samsung J7 and i cant even find it on my google play store. I am extremely upset at not being able to play this. Will this phone be added or is there anything i can do?

  7. Hello i have Samsung Galaxy G4 Plus 2018 i have all the system requierements but still i google play store youre device is not compatible is it a bug??Btw i live in europe so when the game goes live can i play it?

  8. Regarding the Sansung Galaxy S5; It should meet all requirements so why isn’t it possible?

    thks,
    Shqrty

  9. Looks like they are only supporting the very newest LG phone.

    Add “LG Stylo” and “LG Stylo 3”, and “V30” to your unsupported list

    The Stylo 3 and V30 are only a few years old. This is very disappointing as it rules out anyone who is too poor to have the newest and most expensive phones.

  10. Why isn’t the LG Stylo 4 compatible? I have been so excited for this game, now I’m extremely disappointed.

  11. I have an LG k30 and I keep getting a message saying “not available in your country” and I live in the US and it came out yesterday (June 20) in my area. A ton of my friends have it and I’m not sure why I can’t get it. Please help!

  12. The 2 GB requirement for android – can that be on an SD card or does it have to be internal memory?

  13. Hello,

    I have been able to install on my Ulefone Armor6e normally through google play. I was able to run the game and do first couple quests. But now, my display is not responding after couple moments in the game. The character figure normally moves through map, but I cannot click any of the objects/tasks. Even some of the game icons are not responding, and after some time even the back triangle/exit button is not working. Any tips?

    • I’ve had an error like yours a few weeks ago. In order to fix the error, I uninstalled the game and clear all the data of the game, and then I reinstall it. After that, the error was fixed. In order to clean all the data of the game, you have to follow this route: Settings > Applications > Harry Potter: Wizards Unite.

Leave a Reply

Your email address will not be published. Required fields are marked *

Metamorphmagus

Lord Voldemort (Tom Riddle)

Lord Voldemort (Tom Riddle)